package com.ym.mec.biz.dal.dto;

import com.ym.mec.util.date.DateUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @program: mec
 * @description: 学生考勤出参
 * @author: xw
 * @create: 2019-09-26 15:24
 */
@ApiModel(description = "学生考勤出参")
public class StudentAttendanceResponse implements Serializable {

    @ApiModelProperty(value = "用户编号")
    private Integer userId;

    @ApiModelProperty(value = "上课日期")
    private Date classDate;

    @ApiModelProperty(value = "上课时间")
    private String classTime;

    @ApiModelProperty(value = "考勤状态")
    private String status;

    @ApiModelProperty(value = "上课星期")
    private String classWeek;

    @ApiModelProperty(value = "课程计划id")
    private Long courseScheduleId;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Date getClassDate() {
        return classDate;
    }

    public void setClassDate(Date classDate) {
        this.classDate = classDate;
        this.classWeek=DateUtil.date2Week(classDate);
    }

    public String getClassTime() {
        return classTime;
    }

    public void setClassTime(String classTime) {
        this.classTime = classTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getClassWeek() {
        return classWeek;
    }

    public void setClassWeek(String classWeek) {
        this.classWeek = classWeek;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }
}
